Bug 854486 - [RHEVM-CLI] history command does not support pipe redirection
[RHEVM-CLI] history command does not support pipe redirection
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-cli (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Michael Pasternak
Ilia Meerovich
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-05 03:06 EDT by Michael Pasternak
Modified: 2016-07-04 20:07 EDT (History)
8 users (show)

See Also:
Fixed In Version: si18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:57:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Pasternak 2012-09-05 03:06:39 EDT
On 09/04/2012 06:15 PM, Simon Grinberg wrote:
> 14. Pipline to shell command does not work with the history command
> 
> [RHEVM shell (connected)]# history | grep Cloned
> 
> error: invalid literal for int() with base 10: '| grep Cloned'
> 
> While other pipelines work well
Comment 3 Ilia Meerovich 2012-11-25 04:01:16 EST
[RHEVM shell (connected)]# history | grep history
[1022] history | grep Cloned
[1023] history
[1024] history | grep create
[RHEVM shell (connected)]# exit
[imeerovi@imeerovi rhevm_qe_utils]$ rpm -qa | grep rhevm-cli
rhevm-cli-3.1.0.17-1.el6ev.noarch
Comment 4 Ilia Meerovich 2012-11-25 04:03:48 EST
[RHEVM shell (connected)]# history | grep history
[1022] history | grep Cloned
[1023] history
[1024] history | grep create
[RHEVM shell (connected)]# exit
[imeerovi@imeerovi rhevm_qe_utils]$ rpm -qa | grep rhevm-cli
rhevm-cli-3.1.0.17-1.el6ev.noarch

Note You need to log in before you can comment on or make changes to this bug.